## digikam 4.12.0

=== core/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(digikam)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: digiKam")

option(ENABLE_INTERNALMYSQL     "Build digiKam with internal MySQL server executable (default=OFF)"              OFF)
option(ENABLE_LCMS2             "Build digiKam with LCMS2 instead LCMS1 (default=OFF)"                           OFF)
option(ENABLE_BALOOSUPPORT      "Build digiKam with Baloo support (default=ON)"                                  ON)
option(ENABLE_KDEPIMLIBSSUPPORT "Build digiKam with Kdepimlibs support (default=OFF)"                            OFF)

# Mysql support options (experimental):
option(ENABLE_MYSQLSUPPORT      "Build digiKam with MySQL dabatase support (default=OFF)"                        OFF)
option(ENABLE_INTERNALMYSQL     "Build digiKam with internal MySQL server executable (default=OFF)"              OFF)

# Debug options:
option(ENABLE_DIGIKAM_MODELTEST "Enable ModelTest on some models for debugging (default=OFF)"                    OFF)
option(ENABLE_IMGLOADERDEBUGMSG "Build digiKam with more internal debug message into image loader (default=OFF)" OFF)

# ==================================================================================================
# Information to update before to release this package.

# digiKam version
set(DIGIKAM_MAJOR_VERSION "4")
set(DIGIKAM_MINOR_VERSION "12")
set(DIGIKAM_PATCH_VERSION "0")

#digiKam release date
set(DIGIKAM_RELEASE_DATE "2015-07-26")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final release. Can be used in production.
set(DIGIKAM_SUFFIX_VERSION "")

# ==================================================================================================
# Set env. variables accordingly.

# NOTE: This string is used to set libdigikamcore and libdigikamdatabase SO version ID
set(DIGIKAM_VERSION_SHORT
    "${DIGIKAM_MAJOR_VERSION}.${DIGIKAM_MINOR_VERSION}.${DIGIKAM_PATCH_VERSION}"
   )

set(DIGIKAM_VERSION_STRING
    "${DIGIKAM_VERSION_SHORT}${DIGIKAM_SUFFIX_VERSION}"
   )

# Databse Schema version
# We must set this variable here at top level because it is used in both digikam/database and data/database
# Version history:
# 1 : Original database schema
# 2 : 08-08-2014 : Fix Images.names field size (see bug #327646)
set(DBCONFIG_XML_VERSION "2")

# ==================================================================================================
# Debug area codes
# These codes will be set for every project specific path automatically, so
# that you can use kDebug() without any usage of the area code throughout the
# digiKam code base.

set(AREA_CODE_GENERAL        "50003")
set(AREA_CODE_KIOSLAVES      "50004")
set(AREA_CODE_SHOWFOTO       "50005")
set(AREA_CODE_IMAGEPLUGINS   "50006")
set(AREA_CODE_DATABASESERVER "50007")
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

macro(SET_DEBUG_AREA_CODE _areacode)
    remove_definitions(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
    add_definitions(-DKDE_DEFAULT_DEBUG_AREA=${_areacode})
endmacro()

# ==================================================================================================
# Dependencies

set(QT_MIN_VERSION   "4.6.0")
set(KDE_MIN_VERSION  "4.4.0")
find_package(Qt4  ${QT_MIN_VERSION}  REQUIRED)
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include(FindPackageHandleStandardArgs)
include(FindPkgConfig)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(MacroUtils)
include(MacroOpenCV)
include(MacroJPEG)

# mandatory

set(PGF_MIN_VERSION   "6.12.24")
find_package(TIFF                    REQUIRED)
find_package(PNG                     REQUIRED)
find_package(PGF ${PGF_MIN_VERSION}  REQUIRED)
find_package(Kexiv2                  REQUIRED)
find_package(Kdcraw                  REQUIRED)

# optional

set(KIPI_MIN_VERSION  "2.0.0")
find_package(Kipi ${KIPI_MIN_VERSION})
find_package(Kface)
find_package(KGeoMap)
find_package(PkgConfig)
find_package(Jasper)
find_package(Eigen3)
find_package(Boost)

# -- check OpenCV --------------------------------------------------------------------------------

set(OPENCV_MIN_VERSION "2.4.9")
DETECT_OPENCV(${OPENCV_MIN_VERSION}  core highgui objdetect contrib legacy imgproc)

# -- check the libkdcraw version -----------------------------------------------------------------

set(KDCRAW_MIN_VERSION "2.2.0")

if(KDCRAW_VERSION)

    message(STATUS "libkdcraw: Found version ${KDCRAW_VERSION} (required: ${KDCRAW_MIN_VERSION})")
    if(${KDCRAW_VERSION} VERSION_LESS ${KDCRAW_MIN_VERSION})
        set(KDCRAW_FOUND FALSE)
    endif()

else()

    message(WARNING "libkdcraw: Version information not found, your version is probably too old.")
    set(KDCRAW_FOUND FALSE)

endif()

# -- check the libkgeomap version -----------------------------------------------------------------

set(KGEOMAP_MIN_VERSION "3.0.0")

if(KGEOMAP_VERSION)

    message(STATUS "libkgeomap: Found version ${KGEOMAP_VERSION} (required: ${KGEOMAP_MIN_VERSION})")
    if(${KGEOMAP_VERSION} VERSION_LESS ${KGEOMAP_MIN_VERSION})
        SET(KGEOMAP_FOUND FALSE)
    endif()

else()

    message(WARNING "libkgeomap: Version information not found, your version is probably too old.")
    set(KGEOMAP_FOUND FALSE)

endif()

# -- LCMS version 1 and 2 library handling (See bug #294105) -------------------------------------
# Note: if ENABLE_LCMS2 is on and no LCMS2 is available, build will fail, even if LCMS1 is present

if(ENABLE_LCMS2)

    message(STATUS "Check for LCMS2 availability...")
    find_package(LCMS2)

    if(LCMS2_FOUND AND (LCMS2_VERSION VERSION_EQUAL 2.1 OR LCMS2_VERSION VERSION_GREATER 2.1))

        message(STATUS "Found LCMS2: ${LCMS2_LIBRARIES} ${LCMS2_INCLUDE_DIR}")
        set(LCMS_FOUND ${LCMS2_FOUND})
        set(LCMS_LIBRARIES ${LCMS2_LIBRARIES})
        set(LCMS_INCLUDE_DIR ${LCMS2_INCLUDE_DIR})
        set(USE_LCMS_VERSION_2000 1)

    endif()

else()

    message(STATUS "Check for LCMS1 availability...")
    find_package(LCMS)

    if(LCMS_FOUND)

        message(STATUS "Found LCMS1: ${LCMS_LIBRARIES} ${LCMS_INCLUDE_DIR}")
        set(USE_LCMS_VERSION_1000 1)

    else()

        message(STATUS "Check for LCMS2 availability instead LCMS1...")
        find_package(LCMS2)

        if(LCMS2_FOUND AND (LCMS2_VERSION VERSION_EQUAL 2.1 OR LCMS2_VERSION VERSION_GREATER 2.1))
            message(STATUS "Found LCMS2 instead LCMS1: ${LCMS2_LIBRARIES} ${LCMS2_INCLUDE_DIR}")
            set(LCMS_FOUND ${LCMS2_FOUND})
            set(LCMS_LIBRARIES ${LCMS2_LIBRARIES})
            set(LCMS_INCLUDE_DIR ${LCMS2_INCLUDE_DIR})
            set(USE_LCMS_VERSION_2000 1)
        endif()

    endif()

endif()

# -- To link under Solaris (see bug #274484) ------------------------------------------------------

if(NOT WIN32)
    find_library(MATH_LIBRARY m)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL FreeBSD)
    find_library(KVM_LIBRARY kvm)
endif()

# -- Libjpeg rules --------------------------------------------------------------------------------

DETECT_JPEG()
set(DIGIKAM_LIBJPEG_DIR libjpeg-${JPEG_LIB_VERSION})

# -- Mysql rules ----------------------------------------------------------------------------------

if(ENABLE_MYSQLSUPPORT AND ENABLE_INTERNALMYSQL)

    # Check MySQL executables

    find_program(SERVERCMD_MYSQL mysqld
                 PATHS /usr/sbin
                       /usr/local/sbin
                       /usr/libexec
                       /usr/local/libexec
                       /opt/local/libexec
                       /opt/mysql/libexec
                       /usr/mysql/bin
                       /opt/mysql/sbin
                       ${MYSQLD_PATH}
                 ENV MYSQLD_PATH )
    message(STATUS "Found MySQL server executable at: ${SERVERCMD_MYSQL}")

    # NOTE: under windows, mysql_install_db PERL script is named "mysql_install_db.pl"
    #       under MACOS-X, through macports project, mysql_install_db PERL script is named "mysql_install_db5"

    find_program(INITCMD_MYSQL mysql_install_db mysql_install_db5 mysql_install_db.pl
                 PATHS /usr/sbin
                       /usr/local/sbin
                       /usr/libexec
                       /usr/local/libexec
                       /opt/mysql/libexec
                       /usr/mysql/bin
                       /opt/mysql/bin
                       /usr/share/mysql/scripts
                       ${MYSQL_TOOLS_PATH}
                 ENV MYSQL_TOOLS_PATH)
    message(STATUS "Found MySQL install_db executable at: ${INITCMD_MYSQL}")
    set(DATABASESERVERDIR "${CMAKE_CURRENT_SOURCE_DIR}/databaseserver")

else()

    set(DATABASESERVERDIR "")

endif()

# ==================================================================================================
# Optional dependencies

MACRO_OPTIONAL_FIND_PACKAGE(Doxygen)
MACRO_OPTIONAL_FIND_PACKAGE(Sqlite2)
MACRO_OPTIONAL_FIND_PACKAGE(Lqr-1)

# -- libgphoto2 rules --------------------------------------------------------------------------

MACRO_OPTIONAL_FIND_PACKAGE(Gphoto2)

if(NOT WIN32 AND GPHOTO2_FOUND)
    # See bug #268267 : digiKam need to be linked to libusb to prevent crash at gphoto2 init if opencv is linked with libdc1394
    MACRO_OPTIONAL_FIND_PACKAGE(USB)
endif()

if(GPHOTO2_FOUND)
    exec_program(gphoto2-config ARGS --version RETURN_VALUE _return_VALUE OUTPUT_VARIABLE GPHOTO2_VERSION)
    string(REPLACE "libgphoto2" "" GPHOTO2_VERSION "${GPHOTO2_VERSION}")
    MACRO_ENSURE_VERSION("2.4.0" "${GPHOTO2_VERSION}" VERSION_GPHOTO2)

    if(VERSION_GPHOTO2 AND LIBUSB_FOUND)
        set(GPHOTO2_FOUND true)
    else()
        set(GPHOTO2_FOUND false)
    endif()

    MACRO_ENSURE_VERSION("2.5.0" "${GPHOTO2_VERSION}" VERSION_GPHOTO25)

    if(VERSION_GPHOTO25)
        set(HAVE_GPHOTO25 1)
    else()
        set(HAVE_GPHOTO25 0)
    endif()
endif()

# -- KDEPim libraries rules -------------------------------------------------------------------

if(ENABLE_KDEPIMLIBSSUPPORT)
    MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs)
endif()

# -- Check LensFun library for Lens auto-correction tool --------------------------------------

MACRO_OPTIONAL_FIND_PACKAGE(LensFun)

set(LENSFUN_MIN_VERSION "0.2.6.0")

if(LENSFUN_VERSION)
    message(STATUS "liblensfun: Found version ${LENSFUN_VERSION} (required: ${LENSFUN_MIN_VERSION})")
    if(${LENSFUN_VERSION} VERSION_LESS ${LENSFUN_MIN_VERSION})
        set(LENSFUN_FOUND FALSE)
    endif()
else()
    message(WARNING "liblensfun: Version information not found, your version is probably too old.")
    set(LENSFUN_FOUND FALSE)
endif()

# -- Baloo rules -----------------------------------------------------------------------------

if(ENABLE_BALOOSUPPORT)
    # Baloo support from 4.12
    if(${KDE_VERSION} VERSION_GREATER "4.11.99")

        MACRO_OPTIONAL_FIND_PACKAGE(KFileMetaData CONFIG)
        MACRO_LOG_FEATURE(KFileMetaData_FOUND "KFileMetaData Library"
                          "A library for extracting file metadata" "https://projects.kde.org/kfilemetadata" TRUE)

        MACRO_OPTIONAL_FIND_PACKAGE(Baloo)
        MACRO_LOG_FEATURE(Baloo_FOUND "Baloo" "Baloo"
                          "http://www.kde.org" TRUE "" "Baloo extends the search and tagging")

        if(NOT KFileMetaData_FOUND)
            set(Baloo_FOUND FALSE)
        endif()

    endif()
endif()

# -- compilation options definitions --------------------------------------------------------
