=== po/CMakeLists.txt ===
add_subdirectory( af )
add_subdirectory( ar )
add_subdirectory( az )
add_subdirectory( be )
add_subdirectory( bg )
add_subdirectory( bn )
add_subdirectory( br )
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( csb )
add_subdirectory( cy )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( eu )
add_subdirectory( fa )
add_subdirectory( fi )
add_subdirectory( fo )
add_subdirectory( fr )
add_subdirectory( fy )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( ha )
add_subdirectory( he )
add_subdirectory( hi )
add_subdirectory( hr )
add_subdirectory( hsb )
add_subdirectory( hu )
add_subdirectory( id )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( ka )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( ku )
add_subdirectory( lb )
add_subdirectory( lo )
add_subdirectory( lt )
add_subdirectory( lv )
add_subdirectory( mi )
add_subdirectory( mk )
add_subdirectory( mn )
add_subdirectory( ms )
add_subdirectory( mt )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( ne )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( nso )
add_subdirectory( oc )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( rw )
add_subdirectory( se )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sq )
add_subdirectory( sr )
add_subdirectory( sr@Latn )
add_subdirectory( ss )
add_subdirectory( sv )
add_subdirectory( ta )
add_subdirectory( te )
add_subdirectory( tg )
add_subdirectory( th )
add_subdirectory( tr )
add_subdirectory( tt )
add_subdirectory( uk )
add_subdirectory( uz )
add_subdirectory( uz@cyrillic )
add_subdirectory( ven )
add_subdirectory( vi )
add_subdirectory( wa )
add_subdirectory( xh )
add_subdirectory( zh_CN )
add_subdirectory( zh_HK )
add_subdirectory( zh_TW )
add_subdirectory( zu )
