=== core/utilities/CMakeLists.txt ===
ADD_SUBDIRECTORY(advancedrename)
ADD_SUBDIRECTORY(importui)
ADD_SUBDIRECTORY(imageeditor)
ADD_SUBDIRECTORY(lighttable)
ADD_SUBDIRECTORY(queuemanager)
