=== doc-translated/ar/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ar/ SUBDIR digikam )
