=== doc-translated/bg/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/bg/ SUBDIR digikam )
