=== debian/changelog ===
digikam (4:4.12.0-0ubuntu7) xenial; urgency=medium

  * mysql-server-core does not exist; it is virtual-mysql-server-core.
    So fix that so the Build-Depends alternative will work, and while
    we're there also switch from 5.6 to 5.7 since 5.6 will cease to
    exist in Xenial soon.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 13 Apr 2016 11:57:32 +0000

digikam (4:4.12.0-0ubuntu6) xenial; urgency=medium

  * No-change rebuild for qca2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 15:27:47 +0000

digikam (4:4.12.0-0ubuntu5) wily; urgency=medium

  * No change rebuild for libkexiv2-11v5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 22:51:14 +0100

digikam (4:4.12.0-0ubuntu4) wily; urgency=medium

  * Fix libkvkontakte1 to include library file
  * In override_dh_shlibdeps don't exclude usr/lib/kde4 from paths for
    shlibs LP: #1483620

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Aug 2015 16:24:53 +0100

digikam (4:4.12.0-0ubuntu3) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:05:06 +0000

digikam (4:4.12.0-0ubuntu2) wily; urgency=medium

  * Remove reference to build-dep on libusb2-dev which seems to confuse
    soyuz

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Aug 2015 10:47:56 +0200

digikam (4:4.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 03 Aug 2015 21:11:53 +0100

digikam (4:4.10.0-0ubuntu2) wily; urgency=medium

  * Comment out files for gpssync plugin since we don't have libkgeomap
    available at the moment
    - update debian/kipi-plugins-common.install 

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 27 May 2015 16:29:23 -0500

digikam (4:4.10.0-0ubuntu1) wily; urgency=medium

  * New upstream release 
  * Rebuild without libkgeomap which is now part of applications 15.04

 -- Clive Johnston <clivejo@aol.com>  Thu, 21 May 2015 23:50:06 +0100

digikam (4:4.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 11 Apr 2015 20:39:50 +0000
